---
lang: en
title: 'API docs: openapi-v3.param'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.openapi-v3.param.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [param](./openapi-v3.param.md)

## param namespace

Namespace for `@param.*` decorators

<b>Signature:</b>

```typescript
export declare namespace param 
```

## Variables

|  Variable | Description |
|  --- | --- |
|  [array](./openapi-v3.param.array.md) | Define a parameter of <code>array</code> type. |
|  [header](./openapi-v3.param.header.md) | Header parameter decorator |
|  [path](./openapi-v3.param.path.md) | Path parameter decorator |
|  [query](./openapi-v3.param.query.md) | Query parameter decorator |


